package com.css.simulation.resource.scheduler.configuration.kubernetes;

import io.kubernetes.client.openapi.ApiClient;
import io.kubernetes.client.util.ClientBuilder;
import io.kubernetes.client.util.KubeConfig;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.util.ResourceUtils;

import java.io.FileReader;
import java.io.IOException;

@Configuration
public class KubernetesConfiguration {

    @Bean
    public ApiClient apiClient() throws IOException {
        FileReader fileReader = new FileReader(ResourceUtils.getFile("classpath:kubernetes/config"));
        return ClientBuilder.kubeconfig(KubeConfig.loadKubeConfig(fileReader)).build();
    }

}
